Bug 821190 - [abrt] kernel: WARNING: at fs/sysfs/inode.c:324 sysfs_hash_and_remove+0xa9/0xb0()
[abrt] kernel: WARNING: at fs/sysfs/inode.c:324 sysfs_hash_and_remove+0xa9/0x...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:f05d0ef0b132c852c8af9a19b1d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 18:46 EDT by George Iosif
Modified: 2012-11-14 11:38 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 11:38:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Iosif 2012-05-12 18:46:19 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.4-3.fc16.x86_64 root=/dev/mapper/vg_reflect-lv_root ro rd.dm=0 SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 rd.lvm.lv=vg_reflect/lv_root rd.luks.uuid=luks-18bf1f1c-d837-4c18-a55a-f186141a60e2 rd.md.uuid=c6ac65de:d62a27af:58662d5a:97df7449 quiet rhgb KEYTABLE=uk rd.lvm.lv=vg_reflect/lv_swap rd.md.uuid=1a712e7b:7238d704:fefdbf72:9350a882 i915.i915_enable_rc6=1
kernel:         3.3.4-3.fc16.x86_64
reason:         WARNING: at fs/sysfs/inode.c:324 sysfs_hash_and_remove+0xa9/0xb0()
time:           Sat 12 May 2012 01:53:54 PM BST

backtrace:
:WARNING: at fs/sysfs/inode.c:324 sysfs_hash_and_remove+0xa9/0xb0()
:Hardware name: VPCZ21C5E
:sysfs: can not remove 'thermal_cooling', no directory
:Modules linked in: tcp_lp nls_utf8 udf crc_itu_t ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle be2iscsi iscsi_boot_sysfs bnx2i bridge cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q garp stp llc ib_iser fcoe rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi lockd libfcoe libfc scsi_transport_fc scsi_tgt rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack binfmt_misc tpm_infineon snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device sony_laptop snd_pcm arc4 btusb iwlwifi bluetooth tpm_tis tpm tpm_bios uvcvideo videobuf2_core mac80211 videodev media snd_timer videobuf2_vmalloc joydev snd r8169 vhost_net videobuf2_memops cfg80211 soundcore macvtap iTCO_wdt macvlan snd_page_alloc tun microcode mii i2c_i801 virtio_net rfkill iTCO_vendor_support k
:vm_intel kvm uinput sunrpc xts gf128mul dm_crypt ata_generic pata_acpi raid0 pata_marvell radeon ttm i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 3280, comm: kworker/0:1 Not tainted 3.3.4-3.fc16.x86_64 #1
:Call Trace:
: [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057bb6>] warn_slowpath_fmt+0x46/0x50
: [<ffffffff811ee819>] sysfs_hash_and_remove+0xa9/0xb0
: [<ffffffff8139ddda>] ? device_unregister+0x2a/0x60
: [<ffffffff811f0e56>] sysfs_remove_link+0x26/0x30
: [<ffffffffa00005a2>] acpi_video_bus_put_devices+0xad/0x13c [video]
: [<ffffffffa0000dba>] acpi_video_bus_remove+0x3a/0x5a [video]
: [<ffffffff8131e401>] acpi_device_remove+0x86/0xa5
: [<ffffffff813a153c>] __device_release_driver+0x7c/0xe0
: [<ffffffff813a15cc>] device_release_driver+0x2c/0x40
: [<ffffffff8131edb5>] acpi_bus_trim+0x9c/0x10c
: [<ffffffff81321205>] hotplug_dock_devices+0x9e/0x14c
: [<ffffffff8131b62c>] ? acpi_os_wait_events_complete+0x23/0x23
: [<ffffffff813218e3>] handle_eject_request+0xf0/0x124
: [<ffffffff81321a61>] acpi_dock_deferred_cb+0x14a/0x19d
: [<ffffffff8131b62c>] ? acpi_os_wait_events_complete+0x23/0x23
: [<ffffffff8131b653>] acpi_os_execute_deferred+0x27/0x34
: [<ffffffff810747ae>] process_one_work+0x11e/0x470
: [<ffffffff810755bf>] worker_thread+0x15f/0x360
: [<ffffffff81075460>] ? manage_workers+0x230/0x230
: [<ffffffff81079da3>] kthread+0x93/0xa0
: [<ffffffff815fd2a4>] kernel_thread_helper+0x4/0x10
: [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
: [<ffffffff815fd2a0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: 995efb49-3451-4e60-a401-29c77198aae8
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5387.62
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2701
:System Memory: 7902
:System Swap: 9951
:Vendor: Sony Corporation
:System: VPCZ21C5E J004N95W
:Form factor: Notebook
:Kernel: 3.3.4-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7243:4173:36996) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(4147:404:4173:36996) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:294:4173:36996) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7196:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7200:4173:36996) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4173:36996) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4173:36996) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:145:32902:20993) pci, iwlwifi, NETWORK, Centrino Advanced-N 6230 AGN
:(4332:33128:4173:36996) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(4332:21001:4173:36996) pci, None, MISC, N/A
:(32902:10282:4173:36996) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:7213:4173:36996) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4173:36996) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4173:36996) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4173:36996) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_reflect-lv_root / ext4 4096 4096 13092922 11305745 11174711 3276800 3095607 3095607
:/dev/md126p2 /boot ext4 1024 1024 508745 408453 382853 128016 127737 127737
:/dev/mapper/vg_reflect-lv_home /home ext4 4096 4096 15446902 5615581 4841847 3874816 3864898 3864898
:
Comment 1 Dave Jones 2012-10-23 11:39:25 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 2 Justin M. Forbes 2012-11-14 11:38:07 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.